#version 330 core
in vec2 TexCoords;
out vec4 color;

uniform sampler2D image;
uniform vec3 spriteColor;
uniform float spriteX;
uniform float spriteY;

void main() {
    float r = (48.0 / 512.0);
    float x = TexCoords.x * r + (int(spriteX * 10)) * r;
    // float y = TexCoords.y * r + (int(spriteY * 10)) * r;
    float y = TexCoords.y * r;

    float minb = 0.005;
    float maxb = 0.995;
    if (TexCoords.x <= minb || TexCoords.x >= maxb
        || TexCoords.y <= minb || TexCoords.y >= maxb) {
        color = vec4(1,0,0,1);
    } else {
        color = texture(image, vec2(x, y));
    }
}
